Name:       ocaml-re
Version:    1.2.1
Release:    %mkrel 3
Summary:    Regular expression library for OCaml
License:    LGPL-2.1
Group:      Development/OCaml
URL:        https://github.com/ocaml/ocaml-re
Source0:    https://github.com/ocaml/ocaml-re/archive/ocaml-re-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
RE is regular expression library for OCaml.
It is still under developpement, but is already rather usable.
The following styles of regular expressions are supported:
 * Perl-style regular expressions (module Re_perl);
 * Posix extended regular expressions (module Re_posix);
 * Emacs-style regular expressions (module Re_emacs);
 * Shell-style file globbing (module Re_glob).

It is also possible to build regular expressions by combining simpler
regular expressions (module Re).

%package    devel
Summary:    Development files for %{name}
Group:      Development/OCaml
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development modules you need to use %{name} in
your programs.

%prep
%setup -q -n ocaml-re-ocaml-re-%{version}
rm -f lib_test/.cvsignore

%build
ocaml setup.ml -configure \
    --enable-tests \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make
make doc

%check
make test

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/re
make install
# Opam also install these files, let's do the same:
install -m 0644 \
  _build/lib/automata.cmi \
  _build/lib/cset.cmi \
  $OCAMLFIND_DESTDIR/re/

%files
%doc README LICENSE CHANGES TODO.txt
%dir %{_libdir}/ocaml/re
%{_libdir}/ocaml/re/META
%{_libdir}/ocaml/re/*.cmi
%{_libdir}/ocaml/re/*.cma
%{_libdir}/ocaml/re/*.cmxs

%files devel
%doc lib_test/
%{_docdir}/%{name}-devel/api/
%{_libdir}/ocaml/re/*.a
%{_libdir}/ocaml/re/*.cmxa
%{_libdir}/ocaml/re/*.cmx
%{_libdir}/ocaml/re/*.mli
%{_libdir}/ocaml/re/*.ml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 534911
- Mageia 4 Mass Rebuild

* Mon Sep 16 2013 blue_prawn <blue_prawn> 1.2.1-2.mga4
+ Revision: 480188
- rebuild for ocaml-4.01.0

* Sat May 25 2013 blue_prawn <blue_prawn> 1.2.1-1.mga4
+ Revision: 427686
- updated to last version 1.2.1

* Wed Apr 03 2013 blue_prawn <blue_prawn> 1.2.0-1.mga3
+ Revision: 407534
- imported package ocaml-re

